.TH "mca_ptl_array_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_array_t \- A dynamically growable array of \fBmca_ptl_proc_t\fP instances.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_ptl_array.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "\fBmca_ptl_proc_t\fP * \fBptl_procs\fP"
.br
.RI "\fIarray of ptl procs \fP"
.ti -1c
.RI "size_t \fBptl_size\fP"
.br
.RI "\fInumber available \fP"
.ti -1c
.RI "size_t \fBptl_reserve\fP"
.br
.RI "\fIsize of allocated ptl_proc array \fP"
.ti -1c
.RI "size_t \fBptl_index\fP"
.br
.RI "\fIlast used index \fP"
.in -1c
.SH "Detailed Description"
.PP 
A dynamically growable array of \fBmca_ptl_proc_t\fP instances. 

Maintains an index into the array that is used for round-robin scheduling across contents. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
